Get API Access Token
curl --request POST \
--url https://api.standardmetrics.io/o/token/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data grant_type=client_credentialsimport requests
url = "https://api.standardmetrics.io/o/token/"
payload = { "grant_type": "client_credentials" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({grant_type: 'client_credentials'})
};
fetch('https://api.standardmetrics.io/o/token/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "ACCESS_TOKEN",
"expires_in": 3600,
"token_type": "Bearer",
"scope": "all read write"
}Auth
Get API Access Token
This endpoint allows you to retrieve an API access token using your client_id and client_secret.
To authenticate:
- Click
Try it ▶ - Enter your client_id as the
Authorization.username - Enter your client_secret as the
Authorization.password
The request must include the following body parameter:
grant_type: This is always set toclient_credentials
Hit Send ▶ and the response will contain an access_token, which you can use as a Bearer token to authenticate requests to other endpoints.
{
"access_token": "ACCESS_TOKEN",
"expires_in": 3600,
"token_type": "Bearer",
"scope": "read write"
}
POST
/
o
/
token
/
Get API Access Token
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/x-www-form-urlencoded
Always set to 'client_credentials'
Available options:
client_credentials